## org.apache.catalina.connector.http
Class HttpResponseStream

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.apache.catalina.connector.ResponseStream
                  org.apache.catalina.connector.http.HttpResponseStream

public final class HttpResponseStream
extends ResponseStream

Response stream for the HTTP/1.1 connector. This stream will automatically chunk the answer if using HTTP/1.1 and no Content-Length has been properly set.

Author:
  Remy Maucherat

Field Summary

Fields inherited from class org.apache.catalina.connector.ResponseStream
`closed, commit, count, length, response, sm, stream, suspended`

Constructor Summary
`HttpResponseStream(org.apache.catalina.connector.http.HttpResponseImpl response)` Deprecated. Construct a servlet output stream associated with the specified Request.

Method Summary
`protected void` `checkHead(org.apache.catalina.connector.http.HttpResponseImpl response)` Deprecated.
`void` `close()` Deprecated. Close this output stream, causing any buffered data to be flushed and any further output data to throw an IOException.
`void` `write(byte[] b, int off, int len)` Deprecated. Write the specified byte array.
`void` `write(int b)` Deprecated. Write the specified byte to our output stream.

Methods inherited from class org.apache.catalina.connector.ResponseStream
`flush, write`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpResponseStream

    public HttpResponseStream(org.apache.catalina.connector.http.HttpResponseImpl response)

  Deprecated.
  Construct a servlet output stream associated with the specified Request.

Parameters:
  `response` - The associated response

Method Detail

### write

    public void write(int b)
               throws java.io.IOException

  Deprecated.
  Write the specified byte to our output stream.

  Overrides:
    `write` in class `ResponseStream`
  Parameters:
    `b` - The byte to be written
  Throws:
    `java.io.IOException` - if an input/output error occurs

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws java.io.IOException

  Deprecated.
  Write the specified byte array.

  Overrides:
    `write` in class `ResponseStream`
  Parameters:
    `b` - The byte array containing the bytes to be written
    `off` - Zero-relative starting offset of the bytes to be written
    `len` - The number of bytes to be written
  Throws:
    `java.io.IOException` - if an input/output error occurs

### close

    public void close()
               throws java.io.IOException

  Deprecated.
  Close this output stream, causing any buffered data to be flushed and any further output data to throw an IOException.

  Overrides:
    `close` in class `ResponseStream`
  Throws:
    `java.io.IOException`

### checkHead

    protected void checkHead(org.apache.catalina.connector.http.HttpResponseImpl response)

  Deprecated.

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.